module BudgetsHelper
  include ApplicationHelper

  def _project_budgets_path(project, *args)
    if project
      project_budgets_path(project, *args)
    else
      budgets_path(*args)
    end
  end

  def _project_budget_path(project, *args)
    if project
      project_budget_path(project, *args)
    else
      budget_path(*args)
    end
  end

  def _new_project_budget_path(project, *args)
    if project
      new_project_budget_path(project, *args)
    else
      new_budget_path(*args)
    end
  end

  def _edit_project_budget_path(project, *args)
    if project
      edit_project_budget_path(project, *args)
    else
      edit_budget_path(*args)
    end
  end

  def grouped_budget_list(budgets, query, &block)
    grouped_query_results(budgets, query) do |budget, group_name, group_count, group_totals|
      yield budget, group_name, group_count, group_totals
    end
  end

  def edit_link(project, budget)
    link_to l(:button_edit), _edit_project_budget_path(project, budget),
            :class => "icon icon-edit", :accesskey => accesskey(:edit)
  end
end
