module BudgetsQueriesHelper
  include ApplicationHelper

  def column_value(column, item, value)
    if item.is_a?(Budget)
      case column.name
      when :budget_identifier
        link_to_project_budget(item)
      when :project_id
        link_to_project(item)
      when :amount
        value.round.to_s(:delimited)
      else
        super
      end
    end
  end

  def link_to_project_budget(budget, options = {}, html_options = nil)
    link_to budget.budget_identifier,
            _project_budget_path(@project, budget),
            html_options
  end

  def link_to_project(budget, options = {}, html_options = nil)
    link_to budget.project.name,
            project_path(:id => budget.project.identifier),
            html_options
  end
end
