module ContractsHelper
  include ApplicationHelper

  def _project_contracts_path(project, *args)
    if project
      project_contracts_path(project, *args)
    else
      contracts_path(*args)
    end
  end

  def render_user_contracts(user)
    render :partial => "contracts/index", :locals => { :user => user }
  end

  # inspired from users_helper.rb: user_mail_notification_options
  def contract_type_options(contract)
    contract.valid_contract_type_options.collect { |o| [l(o.last), o.first] }
  end

  def counter_party_options
    Entity.all.collect { |o| [o.name, o.id] }
  end

  def reward_unit_options(contract)
    contract.valid_reward_unit_options.collect { |o| [l(o.last), o.first] }
  end

  def contract_type_options_for_select(selected)
    contract_count_by_type = Contract.group("contract_type").count.to_hash
    options_for_select([[l(:label_all), '']] + (
      Contract.valid_contract_type_options.map {|c|
        ["#{l(c[1])} (#{contract_count_by_type[c[0]].to_i})", c[0]]
      }), selected.to_s)
  end

  def edit_link(contract)
    link_to l(:button_edit), edit_contract_path(contract), :class => 'icon icon-edit', :accesskey => accesskey(:edit)
  end

  def grouped_contract_list(contracts, query, &block)
    grouped_query_results(contracts, query) do |contract, group_name, group_count, group_totals|
      yield contract, group_name, group_count, group_totals
    end
  end

end
