module ContractsQueriesHelper
  include ApplicationHelper

  def column_value(column, item, value)
    if item.is_a?(Contract)
      case column.name
      when :contract_identifier
        link_to_contract(item)
      when :contract_type
        get_contract_type_label[column.value_object(item)]
      when :reward_unit
        get_reward_unit_label[column.value_object(item)]
      when :unit_price
        value.round(2).to_s(:delimited)
      when :original_unit_price
        value.round(2).to_s(:delimited) if value
      else
        super
      end
    end
  end

  def get_contract_type_label
    Contract::CONTRACT_TYPE_OPTIONS.map { |n, l| [n, l(l)] }.to_h
  end

  def get_reward_unit_label
    Contract::REWARD_UNIT_OPTIONS.map { |n, l| [n, l(l)] }.to_h
  end

  def link_to_contract(contract, options = {}, html_options = nil)
    link_to contract.contract_identifier,
            contract_path(:id => contract.id),
            html_options
  end
end
