ActiveSupport::Reloader.to_prepare do
  unless Version.included_modules.include?(RedmineCostAdmin::VersionPatch)
    Version.send(:include, RedmineCostAdmin::VersionPatch)
  end
end

require_dependency "version"

module RedmineCostAdmin
  module VersionPatch
    def self.included(base) # :nodoc:
      base.send(:include, InstanceMethods)
      base.include(ClassMethods)

      base.class_eval do
        unloadable
      end
    end

    module InstanceMethods
      def estimated_cost
        ## TODO: SQLize for faster response
        cost = 0
        unless @estimated_cost
          fixed_issues.each do |issue|
            cost += issue.estimated_cost
          end
        end
        @estimated_cost ||= cost
      end
    end

    def spent_cost
      ## TODO: SQLize for faster response
      cost = 0
      unless @spent_cost
        fixed_issues.each do |issue|
          cost += issue.spent_cost
        end
      end
      @spent_cost ||= cost
    end

    module ClassMethods
    end
  end
end
